Uploaded image for project: 'OpenIDM'
  1. OpenIDM
  2. OPENIDM-7581

Backport OPENIDM-7470: Update needs to support the use of source version ranges within update.json

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: OpenIDM 4.5.0
    • Fix Version/s: OpenIDM 4.5.1
    • Component/s: _Update
    • Labels:
      None

      Description

      Currently the Update mechanism within OpenIDM only supports updating from specific product versions which are known at the time of release.

      In order to support:

      • Maintenance Releases
      • Security Releases
      • Customer Specific Patches

      We require a way to specify a range of source product versions within update.json. For example, sustaning might need to be able to release a 5.0.1 maintenance release in adition to one or more 5.0.0-201701 security releases. To support an unknown number of interim releases with unknown product versions we require the abaility to specify a source version range such as "[1.4.0.0,2.0.0.0)"

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              cgdrake Chris Drake
              Reporter:
              cgdrake Chris Drake
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: